'use strict';

const changelogUtils = require('./changelog-utils');
const gitUtils = require('./git-utils');
const mavenUtils = require('./maven-utils');
const pipelineUtils = require('./pipeline-utils');
const tools = require('./tools');

const a11yAppUtils = require('./a11y/app')
const buildAppUtils = require('./build/app/build-app-utils');
const buildPackageUtils = require('./build/package/build-package-utils');
const cleanUtils = require('./clean/clean-utils');
const notificationUtils = require('./notification/notification-utils');
const preBuildUtils = require('./pre-build/pre-build-utils');
const publishUtils = require('./publish/publish-utils');
const sonarUtils = require('./sonar/sonar-utils');
const apiUtils = require('./api-utils');
const testUtils = require('./test/test-utils');
const remoteUtils = require('./remotes/remotes-utils');

module.exports = {
  changelog: changelogUtils,
  git: gitUtils,
  maven: mavenUtils,
  pipeline: pipelineUtils,
  tools: tools,
  a11y: a11yAppUtils,
  buildApp: buildAppUtils,
  buildPackage: buildPackageUtils,
  clean: cleanUtils,
  notification: notificationUtils,
  preBuild: preBuildUtils,
  publish: publishUtils,
  sonar: sonarUtils,
  api: apiUtils,
  test: testUtils,
  remote: remoteUtils
}
